Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.transport
Class SwitchableRouterImpl.RouterLockAcquisitionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.teleal.cling.transport.SwitchableRouterImpl.RouterLockAcquisitionException

All Implemented Interfaces:
  Serializable

Enclosing class:
  SwitchableRouterImpl

    public static class SwitchableRouterImpl.RouterLockAcquisitionException

extends RuntimeException

See Also:
  Serialized Form

Constructor Summary
`SwitchableRouterImpl.RouterLockAcquisitionException()`
`SwitchableRouterImpl.RouterLockAcquisitionException(String s)`
`SwitchableRouterImpl.RouterLockAcquisitionException(String s, Throwable throwable)`
`SwitchableRouterImpl.RouterLockAcquisitionException(Throwable throwable)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SwitchableRouterImpl.RouterLockAcquisitionException

    public SwitchableRouterImpl.RouterLockAcquisitionException()

### SwitchableRouterImpl.RouterLockAcquisitionException

    public SwitchableRouterImpl.RouterLockAcquisitionException(String s)

### SwitchableRouterImpl.RouterLockAcquisitionException

    public SwitchableRouterImpl.RouterLockAcquisitionException(String s,
                                                               Throwable throwable)

### SwitchableRouterImpl.RouterLockAcquisitionException

    public SwitchableRouterImpl.RouterLockAcquisitionException(Throwable throwable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.